/**
 * Broadcast updates to client when the model changes
 */

'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports.register = register;

var _patientEvents = require('./patient.events');

var _patientEvents2 = _interopRequireDefault(_patientEvents);

// Model events to emit
var events = ['save', 'remove'];

function register(socket) {
  // Bind model events to socket events
  for (var i = 0, eventsLength = events.length; i < eventsLength; i++) {
    var event = events[i];
    var listener = createListener('patient:' + event, socket);

    _patientEvents2['default'].on(event, listener);
    socket.on('disconnect', removeListener(event, listener));
  }
}

function createListener(event, socket) {
  return function (doc) {
    socket.emit(event, doc);
  };
}

function removeListener(event, listener) {
  return function () {
    _patientEvents2['default'].removeListener(event, listener);
  };
}
//# sourceMappingURL=patient.socket.js.map
