'use strict';

var _interopRequireWildcard = require('babel-runtime/helpers/interop-require-wildcard')['default'];

Object.defineProperty(exports, '__esModule', {
	value: true
});

var _express = require('express');

var _userController = require('./user.controller');

var controller = _interopRequireWildcard(_userController);

var _authAuthService = require('../../auth/auth.service');

var auth = _interopRequireWildcard(_authAuthService);

var router = new _express.Router();

router.get('/', auth.hasRole('admin'), controller.index);
router['delete']('/:id', auth.hasRole('admin'), controller.destroy);
router.get('/me', auth.isAuthenticated(), controller.me);
router.get('/physicians', auth.isAuthenticated(), controller.getPhysicians);
router.get('/physicians/all', auth.isAuthenticated(), controller.getPhysiciansData);
router.get('/patients', auth.isAuthenticated(), controller.getPatients);

router.put('/:id/password', auth.isAuthenticated(), controller.changePassword);
router.put('/forgot', controller.forgotPassword);
router.put('/reset/:token', controller.resetPassword);
router.get('/:id', auth.isAuthenticated(), controller.show);
router.post('/', controller.create);
router.put('/:id', controller.update);

exports['default'] = router;
module.exports = exports['default'];
//# sourceMappingURL=index.js.map
