/**
 * Main application routes
 */

'use strict';

var _interopRequireDefault = require('babel-runtime/helpers/interop-require-default')['default'];

Object.defineProperty(exports, '__esModule', {
	value: true
});

var _componentsErrors = require('./components/errors');

var _componentsErrors2 = _interopRequireDefault(_componentsErrors);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

exports['default'] = function (app) {
	// Insert routes below
	app.use('/api/patients', require('./api/patient'));
	app.use('/api/salonservice', require('./api/salonservice'));
	app.use('/api/shifts', require('./api/shifts'));
	app.use('/api/appointments', require('./api/appointment'));
	app.use('/api/users', require('./api/user'));
	app.use('/api/export', require('./service'));

	app.use('/auth', require('./auth'));

	// All undefined asset or api routes should return a 404
	app.route('/:url(api|auth|components|app|bower_components|assets)/*').get(_componentsErrors2['default'][404]);

	// All other routes should redirect to the index.html
	app.route('/*').get(function (req, res) {
		res.sendFile(_path2['default'].resolve(app.get('appPath') + '/index.html'));
	});
};

module.exports = exports['default'];
//# sourceMappingURL=routes.js.map
